%% Take Distance Cluster matrix and compare with Gaussian peaks parameters
clear all
% load files
Data_Clustering = xlsread('Hela7_2_Clus2.xls', 'Sheet2'); %Load Cluster matrix

data = xlsread('Hela7_2_Gaus2.xls', 'results'); %Load Gaussian Parameters

%Define columns
C = data(:,6);
H = data(:,7);
W = data(:,8);

% Define settings for simularity between gaussians
Maxcenter = 0.5;
MaxHeight = 1.35;
MaxWidth = 0.55;
MaxDist_strict = 4; %For direct assigning Interactions from only clustering
MaxDist_Loose = 8; % In combination with CHW

%% Cluster data

DistAll = squareform(pdist(Data_Clustering,'euclidean'));
Matrix_Strict = DistAll<MaxDist_strict;


%% Calculate distances for Gaussians
DistCenter = squareform(pdist(C,'euclidean'));
DistHeight = squareform(pdist(H,'euclidean'));
DistWidth = squareform(pdist(W,'euclidean'));


MatrixCenter = DistCenter < Maxcenter;
MatrixHeight = DistHeight < MaxHeight;
MatrixWidth = DistWidth < MaxWidth;
Matrix_Loose = DistAll < MaxDist_Loose;


%obbey all logic
all_loose = (MatrixCenter & MatrixHeight & MatrixWidth & Matrix_Loose);

%Final matrix Combined Strict and loose
Final_Matrix = (Matrix_Strict | all_loose);


%Write to file 
dlmwrite('Matix_interactions_Hela7.txt', Final_Matrix, 'delimiter', '\t')





